Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1070412

Index: golang-github-kardianos-service-1.2.1/name_test.go
===================================================================
--- golang-github-kardianos-service-1.2.1.orig/name_test.go
+++ golang-github-kardianos-service-1.2.1/name_test.go
@@ -14,7 +14,9 @@ func TestPlatformName(t *testing.T) {
 	got := Platform()
 	t.Logf("Platform is %v", got)
 	wantPrefix := runtime.GOOS + "-"
-	if !strings.HasPrefix(got, wantPrefix) {
+	// in containers, it will report unix-systemv
+	wantPrefixContainer := "unix-systemv"
+	if !strings.HasPrefix(got, wantPrefix) && !strings.HasPrefix(got, wantPrefixContainer) {
 		t.Errorf("Platform() want: /^%s.*$/, got: %s", wantPrefix, got)
 	}
 }
